"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-313/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6E160>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6E200>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6E2A0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6E340>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6E3E0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6E480>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6E520>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6E5C0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6E660>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6E700>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6E7A0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6E840>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6E8E0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6E980>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6EA20>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6EAC0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6EB60>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6EC00>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6ECA0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6ED40>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6EDE0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6EE80>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6EF20>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6EFC0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6F060>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6F100>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6F1A0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6F240>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6F2E0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6F380>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6F420>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6F4C0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6F560>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6F600>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6F6A0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6F740>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6F7E0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6F880>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6F920>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6F9C0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6FA60>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6FB00>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6FBA0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6FC40>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6FCE0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6FD80>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6FE20>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6FEC0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044B6FF60>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA8040>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA80E0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA8180>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA8220>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA82C0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA8360>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA8400>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA84A0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA8540>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA85E0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA8680>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA8720>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA87C0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA8860>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA8900>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA89A0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA8A40>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA8AE0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA8B80>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA8C20>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA8CC0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA8D60>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA8E00>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA8EA0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA8F40>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA8FE0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA9080>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA9120>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA91C0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA9260>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA9300>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA9440>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA93A0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA94E0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA9580>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000029044BA9620>)]
name: str = 'fr_HOCCN'
